Notice:
If you happen to see a question you know the answer to, please do chime in and help your fellow community members. We encourage our fourm members to be more involved, jump in and help out your fellow researchers with their questions. GATK forum is a community forum and helping each other with using GATK tools and research is the cornerstone of our success as a genomics research community.We appreciate your help!

Test-drive the GATK tools and Best Practices pipelines on Terra


Check out this blog post to learn how you can get started with GATK and try out the pipelines in preconfigured workspaces (with a user-friendly interface!) without having to install anything.
Attention:
We will be out of the office on November 11th and 13th 2019, due to the U.S. holiday(Veteran's day) and due to a team event(Nov 13th). We will return to monitoring the GATK forum on November 12th and 14th respectively. Thank you for your patience.

conda env create fails: Invalid requirement: '$tensorFlowDependency'

Hi,

I get an error while trying to create conda environment for gatk on Centos 7, the gatk installed successfuly, conda installed, standard issue of python supplied with the system and updated to latest version. From what I can see, Anaconda has its own python3. The $tensorFlowDependency and other lines are puzzling to me.

Below is the entire output of the command:

------------------------------------------------
# conda env create -n gatk -f gatkcondaenv.yml
Solving environment: done


==> WARNING: A newer version of conda exists. <==
current version: 4.5.12
latest version: 4.6.8

Please update conda by running

$ conda update -n base -c defaults conda



Downloading and Extracting Packages
intel-openmp-2018.0. | 620 KB | ############################################################################################################## | 100%
pip-9.0.1 | 1.7 MB | ############################################################################################################## | 100%
zlib-1.2.11 | 109 KB | ############################################################################################################## | 100%
readline-6.2 | 606 KB | ############################################################################################################## | 100%
openssl-1.0.2l | 3.2 MB | ############################################################################################################## | 100%
tk-8.5.18 | 1.9 MB | ############################################################################################################## | 100%
certifi-2016.2.28 | 216 KB | ############################################################################################################## | 100%
xz-5.2.3 | 667 KB | ############################################################################################################## | 100%
python-3.6.2 | 16.5 MB | ############################################################################################################## | 100%
sqlite-3.13.0 | 4.0 MB | ############################################################################################################## | 100%
setuptools-36.4.0 | 563 KB | ############################################################################################################## | 100%
mkl-2018.0.1 | 184.7 MB | ############################################################################################################## | 100%
wheel-0.29.0 | 88 KB | ############################################################################################################## | 100%
mkl-service-1.1.2 | 11 KB | ############################################################################################################## | 100%
Preparing transaction: done
Verifying transaction: done
Executing transaction: done
Invalid requirement: '$tensorFlowDependency'
Traceback (most recent call last):
File "/usr/share/anaconda2/envs/gatk/lib/python3.6/site-packages/pip/_vendor/packaging/requirements.py", line 92, in __init__
req = REQUIREMENT.parseString(requirement_string)
File "/usr/share/anaconda2/envs/gatk/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 1617, in parseString
raise exc
File "/usr/share/anaconda2/envs/gatk/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 1607, in parseString
loc, tokens = self._parse( instring, 0 )
File "/usr/share/anaconda2/envs/gatk/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 1379, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File "/usr/share/anaconda2/envs/gatk/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 3376, in parseImpl
loc, exprtokens = e._parse( instring, loc, doActions )
File "/usr/share/anaconda2/envs/gatk/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 1379, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File "/usr/share/anaconda2/envs/gatk/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 3698, in parseImpl
return self.expr._parse( instring, loc, doActions, callPreParse=False )
File "/usr/share/anaconda2/envs/gatk/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 1379, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File "/usr/share/anaconda2/envs/gatk/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 3359, in parseImpl
loc, resultlist = self.exprs[0]._parse( instring, loc, doActions, callPreParse=False )
File "/usr/share/anaconda2/envs/gatk/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 1383, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File "/usr/share/anaconda2/envs/gatk/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 2670, in parseImpl
raise ParseException(instring, loc, self.errmsg, self)
pip._vendor.pyparsing.ParseException: Expected W:(abcd...) (at char 0), (line:1, col:1)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/share/anaconda2/envs/gatk/lib/python3.6/site-packages/pip/req/req_install.py", line 82, in __init__
req = Requirement(req)
File "/usr/share/anaconda2/envs/gatk/lib/python3.6/site-packages/pip/_vendor/packaging/requirements.py", line 96, in __init__
requirement_string[e.loc:e.loc + 8]))
pip._vendor.packaging.requirements.InvalidRequirement: Invalid requirement, parse error at "'$tensorF'"


CondaValueError: pip returned an error

-----------------------------------------------

Can you please point me into the right direction what's missing (apart of updated conda)?


Thanks

Best Regards
Maciej

Answers

  • bhanuGandhambhanuGandham Cambridge MAMember, Administrator, Broadie, Moderator admin

    Hi @domaniqoos

    Go to the directory where you have stored the GATK4 jars and the gatk wrapper script, and make sure gatkcondaenv.yml is present. Run
    conda env create -n gatk -f gatkcondaenv.yml
    source activate gatk

    To check if your Conda environment is running properly, type conda list and you should see a list of packages installed.

    gatkpythonpackages should be one of them.

    Try this without trying to update conda.

  • NicolasKNicolasK GermanyMember
    Hi @domaniqoos ,

    Mabe it would help to install the tensor flow module manually:
    ```pip install tensorflow```

    Sorry but somehow the comment box is not working for me.
Sign In or Register to comment.